//+------------------------------------------------------------------+
//|                                              SpreadIndikator.mq4 |
//|                               Copyright  2010 MeinMetatrader.de |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Copyright  2010 MeinMetatrader.de"
#property link      ""

#property indicator_chart_window
//#property indicator_buffers 0

extern color LabelColor = Red;

#define OBJ_NAME "SpreadIndikatorObj"

int init()
{
   ShowSpread();
   return(0);
}

int start()
{
   ShowSpread();
   return(0);
}

int deinit()
{
   ObjectDelete(OBJ_NAME);
   return(0);
}

void ShowSpread()
{
   static double spread;
   
   int type = MarketInfo(Symbol(), MODE_MARGINCALCMODE);
   spread = MarketInfo(Symbol(), MODE_SPREAD);
   if (type==0)
         spread = spread/MathPow(10,MathMod(Digits(),2));
   DrawSpreadOnChart(spread);
}

void DrawSpreadOnChart(double spread)
{
   string s = DoubleToStr(spread, 1);
   
   if(ObjectFind(OBJ_NAME) < 0)
   {
      ObjectCreate(OBJ_NAME, OBJ_LABEL, 0, 0, 0);
      ObjectSet(OBJ_NAME, OBJPROP_CORNER, 3);
      ObjectSet(OBJ_NAME, OBJPROP_YDISTANCE, 1);
      ObjectSet(OBJ_NAME, OBJPROP_XDISTANCE, 15);
      ObjectSetText(OBJ_NAME, s, 60, "Verdana", Blue);
   }
   
   ObjectSetText(OBJ_NAME, s);
   
   WindowRedraw();
}